# org.apache.ignite.cache.query

## Interfaces

- ContinuousQueryWithTransformer.EventListener
- FieldsQueryCursor
- QueryCursor
- QueryDetailMetrics
- QueryMetrics

## Classes

- AbstractContinuousQuery
- BulkLoadContextCursor
- CacheQueryEntryEvent
- ContinuousQuery
- ContinuousQueryWithTransformer
- Query
- ScanQuery
- SpiQuery
- SqlFieldsQuery
- SqlQuery
- TextQuery

## Exceptions

- QueryCancelledException